ruby-specinfra (2.88.2-1) unstable; urgency=medium

  * New upstream version 2.88.2

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 08 Mar 2024 21:42:08 +0900

ruby-specinfra (2.88.1-1) unstable; urgency=medium

  * New upstream version 2.88.1
  * d/p/0001-Remove-sfl-gem-dependency: add lib/specinfra/backend/lxd.rb.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 12 Feb 2024 11:51:20 +0900

ruby-specinfra (2.87.2-1) unstable; urgency=medium

  * New upstream version 2.87.2
  * d/p/0001-Remove-sfl-gem-dependency.patch: Refresh patch.
  * d/p/series: disable relaxing ruby-net-telnet version patch.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 06 Jan 2024 14:38:46 +0900

ruby-specinfra (2.87.0-2) unstable; urgency=medium

  * d/control: Remove KURASHIKI Satoru and Scott Leggett from Uploaders:
    per permissions. Thanks for previous works.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 04 Oct 2023 10:04:19 +0900

ruby-specinfra (2.87.0-1) unstable; urgency=medium

  * New upstream version 2.87.0
  * d/p/0001-Remove-sfl-gem-dependency.patch: set Forwarded as not-needed.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 22 Sep 2023 12:34:13 +0900

ruby-specinfra (2.84.0-2) unstable; urgency=medium

  * Team upload
  * Add patch to improve detection of Debian testing

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 27 Feb 2023 21:03:39 -0300

ruby-specinfra (2.84.0-1) unstable; urgency=medium

  * New upstream version 2.84.0
  * Update Standards-Version to 4.6.2.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 18 Jan 2023 23:56:48 +0900

ruby-specinfra (2.83.4-3) unstable; urgency=medium

  * Team upload.
  * Refresh packaging using dh-make-ruby. Main changes:
    + Use ${ruby:Depends} to get a Depends on ruby-net-telnet >= 0.2.0. This
      was blocking testing migration.
    + Stricter build-dependencies

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 04 Jan 2023 22:06:13 +0100

ruby-specinfra (2.83.4-2) unstable; urgency=medium

  * Relax ruby-net-telnet version (Closes: #1027347)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 31 Dec 2022 11:56:30 +0900

ruby-specinfra (2.83.4-1) unstable; urgency=medium

  * New upstream version 2.83.4
  * Drop XS-Ruby-Version and XB-Ruby-Version.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 28 Dec 2022 14:49:38 +0900

ruby-specinfra (2.83.3-1) unstable; urgency=medium

  * New upstream version 2.83.3
  * Update Standards-Version to 4.6.1.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 30 Jul 2022 16:25:09 +0900

ruby-specinfra (2.83.2-2) unstable; urgency=medium

  * Team upload.
  * Change team address to @lists.alioth.debian.org

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 27 Jul 2022 21:51:43 +0200

ruby-specinfra (2.83.2-1) unstable; urgency=medium

  * New upstream version 2.83.2
  * eliminate lintian warning: update-debian-copyright

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 27 Jun 2022 13:23:03 +0900

ruby-specinfra (2.83.1-1) unstable; urgency=medium

  * New upstream version 2.83.0
  * New upstream version 2.83.1
  * Update Standards-Version to 4.6.0.1.
  * eliminate lintian warning: ruby-interpreter-is-deprecated.
  * add d/s/lintian-overrides: upstream-metadata-missing-bug-tracking.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 31 Oct 2021 11:53:02 +0900

ruby-specinfra (2.82.25-1) unstable; urgency=medium

  * New upstream version 2.82.23
  * New upstream version 2.82.24
  * New upstream version 2.82.25
  * d/p/0003-debian-add-support-for-debian-testing-and-unstable.patch: removed,
    applied upstream.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 30 Aug 2021 14:45:33 +0900

ruby-specinfra (2.82.22-2) unstable; urgency=medium

  * Team upload.
  * Add support for Debian testing and unstable. This unbreaks management of
    hosts with unreleased versions of Debian.

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 22 Mar 2021 10:03:23 -0300

ruby-specinfra (2.82.22-1) unstable; urgency=medium

  * New upstream version 2.82.22

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 25 Oct 2020 17:41:21 +0900

ruby-specinfra (2.82.21-1) unstable; urgency=medium

  [ Cédric Boutillier ]
  * [ci skip] Update team name
  * [ci skip] Add .gitattributes to keep unwanted files out of the source
    package

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.82.21

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 24 Oct 2020 12:33:03 +0900

ruby-specinfra (2.82.19-1) unstable; urgency=medium

  * New upstream version 2.82.19

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 26 Aug 2020 16:30:40 +0900

ruby-specinfra (2.82.18-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.82.18
  * eliminate lintian warning:  mailing-list-obsolete-in-debian-infrastructure

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 10 Aug 2020 21:21:36 +0900

ruby-specinfra (2.82.16-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.82.16
  * Bump debhelper compatibility level to 13.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 27 May 2020 11:43:46 +0900

ruby-specinfra (2.82.12-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.82.12

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 07 Mar 2020 17:28:58 +0900

ruby-specinfra (2.82.8-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.82.8
  * Update Standards-Version to 4.5.0.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 01 Feb 2020 16:19:34 +0900

ruby-specinfra (2.82.7-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.82.7

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 14 Jan 2020 10:49:21 +0900

ruby-specinfra (2.82.6-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.82.6

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 09 Jan 2020 13:17:45 +0900

ruby-specinfra (2.82.5-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.82.5

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 02 Jan 2020 23:59:52 +0900

ruby-specinfra (2.82.4-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.82.4
  * Use debhelper-compat instead of debian/compat.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 06 Nov 2019 21:36:38 +0900

ruby-specinfra (2.82.3-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.82.3
  * d/salsa-ci.yml: disable salsa-ci build package any tests.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 21 Oct 2019 19:07:24 +0900

ruby-specinfra (2.82.2-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.82.2
  * d/control: set Rules-Requires-Root: as no.
  * d/salsa-ci.yml: disable salsa-ci blhc test.
  * Update Standards-Version to 4.4.1.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 05 Oct 2019 11:41:49 +0900

ruby-specinfra (2.81.0-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.81.0

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 02 Aug 2019 18:30:33 +0900

ruby-specinfra (2.80.0-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.80.0

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 29 Jul 2019 10:52:09 +0900

ruby-specinfra (2.79.0-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.79.0
  * Bump debhelper compatibility level to 12.
  * Update Standards-Version to 4.4.0

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 21 Jul 2019 11:31:42 +0900

ruby-specinfra (2.78.2-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.78.2

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 06 Jul 2019 12:47:48 +0900

ruby-specinfra (2.78.0-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.78.0

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 02 Jul 2019 20:25:40 +0900

ruby-specinfra (2.77.2-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.77.2

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 17 May 2019 22:55:51 +0900

ruby-specinfra (2.77.0-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.77.0
  * refresh patch.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 29 Apr 2019 22:21:16 +0900

ruby-specinfra (2.76.9-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.76.9

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 17 Jan 2019 10:30:07 +0900

ruby-specinfra (2.76.7-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.76.7

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 13 Jan 2019 12:00:34 +0900

ruby-specinfra (2.76.6-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.76.6

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 05 Jan 2019 15:00:41 +0900

ruby-specinfra (2.76.5-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.76.5
  * add d/tests to apply patch.
  * Update Standards-Version to 4.3.0

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 25 Dec 2018 20:13:54 +0900

ruby-specinfra (2.76.3-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.76.3
  * d/p/0002-Do-not-use-git-ls-files.patch: new patch.
    Do not use git ls-files in gemspec file.
  * d/ruby-specinfra.examples: removed, upstream stopped shipping examples.
  * refresh patch.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 28 Oct 2018 16:36:22 +0900

ruby-specinfra (2.76.2-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.76.2
  * refresh patch
  * use gemwatch.debian.net instead of pkg-ruby-extras.alioth.debian.org

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 28 Sep 2018 13:10:18 +0900

ruby-specinfra (2.76.1-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.76.1
  * Update Standards-Version to 4.2.1

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 31 Aug 2018 13:16:35 +0900

ruby-specinfra (2.76.0-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.76.0

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 19 Aug 2018 19:54:36 +0900

ruby-specinfra (2.75.1-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.75.1
  * Update Standards-Version to 4.2.0

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 12 Aug 2018 00:34:36 +0900

ruby-specinfra (2.75.0-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.75.0
  * d/p/0002-Relax-dependency-on-ruby-net-ssh.patch:
    - removed. relaxed by upstream.
  * d/p/0001-Remove-sfl-gem-dependency.patch:
    - refresh patch.
  * Update Standards-Version to 4.1.5.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 13 Jul 2018 12:50:12 +0900

ruby-specinfra (2.73.4-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.73.4

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 04 Jul 2018 18:45:07 +0900

ruby-specinfra (2.73.3-2) unstable; urgency=medium

  * Team upload.
  * d/p/0002-Relax-dependency-on-ruby-net-ssh.patch:
    - Allow use of net-ssh 5.x.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 05 Jun 2018 18:33:59 -0400

ruby-specinfra (2.73.3-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.73.3
  * d/control: set Testsuite as autopkgtest-pkg-ruby again.
  * d/tests: remove.
  * Update Standards-Version to 4.1.4.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 08 Apr 2018 18:08:24 +0900

ruby-specinfra (2.73.2-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.73.2

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 10 Feb 2018 11:12:54 +0900

ruby-specinfra (2.73.1-2) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * Recommends: net-tools instead of Depends:
  * Recommends: e2fsprogs (Closes: #887252).
  - net-tools and e2fsprogs do not always run on local machine.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 15 Jan 2018 19:09:29 +0900

ruby-specinfra (2.73.1-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.73.1
  * Move Vcs-* to salsa.debian.org.
  * Bump debhelper compatibility level to 11.
  * Update Standards-Version to 4.1.3.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 13 Jan 2018 11:01:36 +0900

ruby-specinfra (2.73.0-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.73.0
  * eliminate lintian warning: unnecessary-team-upload

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 24 Dec 2017 10:32:58 +0900

ruby-specinfra (2.72.1-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.72.1
  * Add myself to Uploaders.
  * d/tests/control: depends gem2deb-test-runner instead of gem2deb

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 09 Nov 2017 20:42:34 +0900

ruby-specinfra (2.72.0-1) unstable; urgency=medium

  * Team upload.

  [ Antonio Terceiro ]
  * Remove myself from Uploaders:

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.72.0
  * eliminate lintian warning: debian-watch-uses-insecure-uri
  * eliminate lintian warning: unnecessary-testsuite-autopkgtest-header
  * Update Standards-Version to 4.1.1.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 21 Oct 2017 17:54:24 +0900

ruby-specinfra (2.70.1-1) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 2.70.1

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 13 Aug 2017 11:17:23 +0900

ruby-specinfra (2.70.0-1) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * Add d/tests/control.

  [ Unit 193 ]
  * New upstream version 2.70.0
    - Add support for net-ssh 4.0 (Closes: #869175)
    - Refresh patch.
  * Update Standards-Version to 4.0.0.
  * d/control, d/copyright: Update some URLs to 'https'.
  * d/control: Add (Build-)Depend on ruby-net-telnet.
  * d/control: Depend on net-tools.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 07 Aug 2017 00:10:36 +0900

ruby-specinfra (2.66.0-1) unstable; urgency=low

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9
  * Use https:// in Vcs-* fields
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Scott Leggett ]
  * Imported Upstream version 2.66.0
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.8 (no changes needed).
  * Update homepage URL.
  * Add patch to remove dependency on "sfl" gem.

 -- Scott Leggett <scott@sl.id.au>  Sun, 06 Nov 2016 12:19:56 +1100

ruby-specinfra (2.35.1-1) unstable; urgency=medium

  * New upstream release
  * Update packaging with a new dh-make-ruby run
  * debian/ruby-tests.rake: load upstream Rakefile instead of duplicating it.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 14 Jun 2015 17:11:02 -0300

ruby-specinfra (1.25.4-1) unstable; urgency=medium

  * New upstream release.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 21 Aug 2014 20:37:52 +0900

ruby-specinfra (1.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 09 May 2014 15:03:37 +0900

ruby-specinfra (0.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 26 Mar 2014 15:07:20 +0900

ruby-specinfra (0.1.1-1) unstable; urgency=low

  * New upstream release.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sun, 29 Dec 2013 13:50:29 +0900

ruby-specinfra (0.0.16-1) unstable; urgency=medium

  * Initial release (Closes: #732350)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 17 Dec 2013 12:49:51 +0900
